libmaven-dependency-analyzer-java_1.10-1_all.deb


Advertisement

Description

libmaven-dependency-analyzer-java - Maven Dependency Analyzer

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libmaven-dependency-analyzer-java_1.10-1_all.deb
Package name libmaven-dependency-analyzer-java
Package version 1.10
Package release 1
Package architecture all
Package type deb
Category java
Homepage http://maven.apache.org/shared/maven-dependency-analyzer/
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 28.21 KB
Installed size 60.00 KB

Alternatives

Package Version Architecture Repository
libmaven-dependency-analyzer-java_1.10-1_all.deb 1.10 all Debian Main
libmaven-dependency-analyzer-java - - -

Requires

Name Value
libasm-java >= 6.0
libmaven3-core-java >= 3.5.3
libplexus-component-annotations-java -
libplexus-utils-java -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmaven-dependency-analyzer-java_1.10-1_all.deb
Source Package maven-dependency-analyzer

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmaven-dependency-analyzer-java deb package:
    # sudo apt-get install libmaven-dependency-analyzer-java

Files

Path
/usr/share/doc/libmaven-dependency-analyzer-java/changelog.Debian.gz
/usr/share/doc/libmaven-dependency-analyzer-java/copyright
/usr/share/java/maven-dependency-analyzer-1.10.jar
/usr/share/java/maven-dependency-analyzer.jar
/usr/share/maven-repo/org/apache/maven/shared/maven-dependency-analyzer/1.10/maven-dependency-analyzer-1.10.jar
/usr/share/maven-repo/org/apache/maven/shared/maven-dependency-analyzer/1.10/maven-dependency-analyzer-1.10.pom
/usr/share/maven-repo/org/apache/maven/shared/maven-dependency-analyzer/debian/maven-dependency-analyzer-debian.jar
/usr/share/maven-repo/org/apache/maven/shared/maven-dependency-analyzer/debian/maven-dependency-analyzer-debian.pom

Changelog

2018-07-30 - Emmanuel Bourg <ebourg@apache.org>
maven-dependency-analyzer (1.10-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patch
- Depend on libasm-java (>= 6.0)
* Standards-Version updated to 4.1.5
* Switch to debhelper level 11
* Use salsa.debian.org Vcs-* URLs
* Track and download the new releases from GitHub
2017-09-01 - Emmanuel Bourg <ebourg@apache.org>
maven-dependency-analyzer (1.7-2) unstable; urgency=medium
* Team upload.
* Depend on libmaven3-core-java instead of libmaven2-core-java
* Standards-Version updated to 4.1.0
2017-07-19 - Emmanuel Bourg <ebourg@apache.org>
maven-dependency-analyzer (1.7-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patch
- Build depend on junit4 instead of junit
* Standards-Version updated to 4.0.0
* Switch to debhelper level 10
2016-10-03 - Emmanuel Bourg <ebourg@apache.org>
maven-dependency-analyzer (1.6-3) unstable; urgency=medium
* Team upload.
* Depend on libasm-java (>= 5.0) instead of libasm4-java
* Standards-Version updated to 3.9.8
2016-02-25 - Emmanuel Bourg <ebourg@apache.org>
maven-dependency-analyzer (1.6-2) unstable; urgency=medium
* Team upload.
* Fixed the build failure caused by the plexus-component-metadata upgrade
(Closes: #814877)
* Build depend on libplexus-component-metadata-java (>= 1.6) instead of
libplexus-containers1.5-java
* Standards-Version updated to 3.9.7 (no changes)
* Use secure Vcs-* URLs
2016-01-18 - Emmanuel Bourg <ebourg@apache.org>
maven-dependency-analyzer (1.6-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Build depend on libasm4-java instead of libasm3-java (Closes: #800864)
* Build with the DH sequencer instead of CDBS
* Removed the build dependency on libplexus-component-metadata-java
* Removed the build dependency on libjaxp1.3-java
2015-06-24 - Emmanuel Bourg <ebourg@apache.org>
maven-dependency-analyzer (1.4-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Build with maven-debian-helper instead of maven-ant-helper
* Enabled the unit tests
* Added new build dependencies on libplexus-containers1.5-java, libjmock-java
and libmaven-plugin-testing-java
* Moved the package to Git
* Standards-Version updated to 3.9.6 (no changes)
* Use XZ compression for the upstream tarball
2013-10-18 - Emmanuel Bourg <ebourg@apache.org>
maven-dependency-analyzer (1.2-2) unstable; urgency=low
* Team upload.
* debian/control:
- Fixed the Vcs-* fields
- Updated Standards-Version to 3.9.4 (no changes)
- Modified the Homepage field
* Switch to debhelper compat level 9
* debian/copyright: Updated to the Copyright Format 1.0
* debian/rules: Improved the clean target
2011-08-21 - Torsten Werner <twerner@debian.org>
maven-dependency-analyzer (1.2-1) unstable; urgency=low
* Team upload.
* New upstream release.
* Update Standards-Version: 3.9.1.
* Switch to source format 3.0.
* Switch to debhelper compat level 7.
2009-07-26 - Ludovic Claude <ludovic.claude@laposte.net>
maven-dependency-analyzer (1.1-2) unstable; urgency=low
* Fix groupId for maven-plugin-testing-tools dependency
in the Maven POM.

See Also

Package Description
libmaven-dependency-plugin-java_3.1.1-1_all.deb Maven Dependency Plugin
libmaven-dependency-tree-java-doc_3.0.1-1_all.deb Documentation for Maven Dependency Tree
libmaven-dependency-tree-java_3.0.1-1_all.deb Maven Dependency Tree
libmaven-deploy-plugin-java_2.8.2-3_all.deb Maven Deploy plugin
libmaven-doxia-tools-java-doc_1.4-4_all.deb Documentation for Maven Doxia Integration Tools
libmaven-doxia-tools-java_1.4-4_all.deb utilities for integrating Doxia in Maven
libmaven-ejb-plugin-java_2.5.1-1_all.deb Maven EJB Plugin
libmaven-enforcer-plugin-java_3.0.0~M2-1_all.deb Maven build rule execution framework
libmaven-exec-plugin-java_1.6.0-4_all.deb Exec Maven Plugin (transitional package)
libmaven-file-management-java-doc_3.0.0-1_all.deb Documentation for Maven File Management API
libmaven-file-management-java_3.0.0-1_all.deb Maven File Management API
libmaven-filtering-java_3.1.1-1_all.deb Maven Filtering
libmaven-install-plugin-java_2.5.2-4_all.deb Maven install plugin
libmaven-invoker-java_3.0.0-1_all.deb Maven Invoker
libmaven-invoker-plugin-java_3.0.1-2_all.deb Maven Invoker Plugin
Advertisement
Advertisement